Search the Reader's Edition layer
curl --request GET \
--url https://venivididavinci.com/api/v1/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://venivididavinci.com/api/v1/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://venivididavinci.com/api/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"total": 123,
"limit": 123,
"offset": 123,
"data": [
{
"slug": "ambrosiana-drawings",
"index": 123,
"title": "Mechanical Science, Balances, and the Centre of Gravity",
"subjects": [
"geometry"
],
"url": "<string>",
"matchedIn": "title",
"snippet": "<string>",
"label": "<string>",
"kind": "leaf",
"thumbnail": "<string>"
}
]
}{
"error": {
"code": "bad_request",
"message": "Parameter 'q' is required and must be at least 2 characters."
}
}{
"error": {
"code": "rate_limited",
"message": "Anonymous limit is 60 requests/hour. Pass an X-API-Key header for more."
}
}Search
Search the Reader's Edition layer
Case-insensitive full-text search over titles, subtitles, summaries, highlight excerpts, and the English translations. Filter by subject and/or collection. Results are ranked by where the match occurs (title > subtitle > summary > highlights > translation).
GET
/
search
Search the Reader's Edition layer
Authorizations
Optional — raises your rate limit. Patron keys get the highest tier.
Query Parameters
Query text, e.g. flying machine or centre of gravity.
Minimum string length:
2Restrict to pages tagged with this subject. One of the 25 frozen subject terms.
Available options:
geometry, arithmetic-and-proportion, physics-and-mechanics, hydraulics, anatomy, geology, astronomy, optics-and-light, botany, flight, machines-and-devices, weapons-and-fortification, architecture, civil-engineering, painting-and-perspective, figure-studies, sculpture-and-casting, horses-and-animals, landscape, cartography, ornament-and-heraldry, lists-and-accounts, language-and-latin, personal-notes, fables-and-prose Restrict to one collection. One of the 28 enriched collections.
Available options:
ambrosiana-drawings, codex-arundel, codex-atlanticus, codex-flight-of-birds, codex-forster-i, codex-forster-ii, codex-forster-iii, codex-madrid-i, codex-madrid-ii, codex-urbinas, paris-ashburnham-a, paris-ashburnham-b, paris-ms-a, paris-ms-b, paris-ms-c, paris-ms-d, paris-ms-e, paris-ms-f, paris-ms-g, paris-ms-h, paris-ms-i, paris-ms-k, paris-ms-l, paris-ms-m, turin-drawings, uffizi-drawings, usa-collection-drawings, venice-accademia-drawings Page size (default 50, max 200).
Required range:
1 <= x <= 200Zero-based offset into the full result set.
Required range:
x >= 0